gi-atk-2.0.18: Atk bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria (garetxe@gmail.com)
Safe Haskell | None
Language | Haskell2010

GI.Atk.Interfaces.Hypertext

Contents

- Exported types
- Methods
  - getLink
  - getLinkIndex
  - getNLinks
- Signals
  - linkSelected

Description

An interface used for objects which implement linking between multiple resource or content locations, or multiple 'markers' within a single document. A Hypertext instance is associated with one or more Hyperlinks, which are associated with particular offsets within the Hypertext's included content. While this interface is derived from Text, there is no requirement that Hypertext instances have textual content; they may implement Image as well, and Hyperlinks need not have non-zero text offsets.

Synopsis

- newtype Hypertext = Hypertext (ManagedPtr Hypertext)
- noHypertext :: Maybe Hypertext
- class GObject o => IsHypertext o
- toHypertext :: (MonadIO m, IsHypertext o) => o -> m Hypertext
- hypertextGetLink :: (HasCallStack, MonadIO m, IsHypertext a) => a -> Int32 -> m Hyperlink
- hypertextGetLinkIndex :: (HasCallStack, MonadIO m, IsHypertext a) => a -> Int32 -> m Int32
- hypertextGetNLinks :: (HasCallStack, MonadIO m, IsHypertext a) => a -> m Int32
- type C_HypertextLinkSelectedCallback = Ptr () -> Int32 -> Ptr () -> IO ()
- type HypertextLinkSelectedCallback = Int32 -> IO ()
- afterHypertextLinkSelected :: (IsHypertext a, MonadIO m) => a -> HypertextLinkSelectedCallback -> m SignalHandlerId
- genClosure_HypertextLinkSelected :: HypertextLinkSelectedCallback -> IO Closure
- mk_HypertextLinkSelectedCallback :: C_HypertextLinkSelectedCallback -> IO (FunPtr C_HypertextLinkSelectedCallback)
- noHypertextLinkSelectedCallback :: Maybe HypertextLinkSelectedCallback
- onHypertextLinkSelected :: (IsHypertext a, MonadIO m) => a -> HypertextLinkSelectedCallback -> m SignalHandlerId
- wrap_HypertextLinkSelectedCallback :: HypertextLinkSelectedCallback -> C_HypertextLinkSelectedCallback

# Exported types

newtype Hypertext Source #

Memory-managed wrapper type.

Constructors

Hypertext (ManagedPtr Hypertext) |

Instances

GObject Hypertext Source # |
Instance details Defined in GI.Atk.Interfaces.Hypertext Methods gobjectType :: Hypertext -> IO GType Source #
IsObject Hypertext Source # |
Instance details Defined in GI.Atk.Interfaces.Hypertext
IsHypertext Hypertext Source # |
Instance details Defined in GI.Atk.Interfaces.Hypertext

noHypertext :: Maybe Hypertext Source #

A convenience alias for `Nothing` :: `Maybe` `Hypertext`.

class GObject o => IsHypertext o Source #

Type class for types which can be safely cast to `Hypertext`, for instance with `toHypertext`.

Instances

(GObject a, (UnknownAncestorError Hypertext a :: Constraint)) => IsHypertext a Source # |
Instance details Defined in GI.Atk.Interfaces.Hypertext
IsHypertext Hypertext Source # |
Instance details Defined in GI.Atk.Interfaces.Hypertext
IsHypertext NoOpObject Source # |
Instance details Defined in GI.Atk.Objects.NoOpObject

toHypertext :: (MonadIO m, IsHypertext o) => o -> m Hypertext Source #

Cast to `Hypertext`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

## getLink

hypertextGetLink Source #

Arguments

:: (HasCallStack, MonadIO m, IsHypertext a) |
=> a | `hypertext`: an `Hypertext`
-> Int32 | `linkIndex`: an integer specifying the desired link
-> m Hyperlink | Returns: the link in this hypertext document at index `linkIndex`

Gets the link in this hypertext document at index `linkIndex`

## getLinkIndex

hypertextGetLinkIndex Source #

Arguments

:: (HasCallStack, MonadIO m, IsHypertext a) |
=> a | `hypertext`: an `Hypertext`
-> Int32 | `charIndex`: a character index
-> m Int32 | Returns: an index into the array of hyperlinks in `hypertext`, or -1 if there is no hyperlink associated with this character.

Gets the index into the array of hyperlinks that is associated with the character specified by `charIndex`.

## getNLinks

hypertextGetNLinks Source #

Arguments

:: (HasCallStack, MonadIO m, IsHypertext a) |
=> a | `hypertext`: an `Hypertext`
-> m Int32 | Returns: the number of links within this hypertext document

Gets the number of links within this hypertext document.

# Signals

## linkSelected

type C_HypertextLinkSelectedCallback = Ptr () -> Int32 -> Ptr () -> IO () Source #

Type for the callback on the (unwrapped) C side.

type HypertextLinkSelectedCallback Source #

Arguments

= Int32 | `arg1`: the index of the hyperlink which is selected
-> IO () |

The "link-selected" signal is emitted by an AtkHyperText object when one of the hyperlinks associated with the object is selected.

afterHypertextLinkSelected :: (IsHypertext a, MonadIO m) => a -> HypertextLinkSelectedCallback -> m SignalHandlerId Source #

Connect a signal handler for the “`link-selected`” signal, to be run after the default handler. When overloading is enabled, this is equivalent to

    after hypertext #linkSelected callback

genClosure_HypertextLinkSelected :: HypertextLinkSelectedCallback -> IO Closure Source #

Wrap the callback into a `Closure`.

mk_HypertextLinkSelectedCallback :: C_HypertextLinkSelectedCallback -> IO (FunPtr C_HypertextLinkSelectedCallback) Source #

Generate a function pointer callable from C code, from a `C_HypertextLinkSelectedCallback`.

noHypertextLinkSelectedCallback :: Maybe HypertextLinkSelectedCallback Source #

A convenience synonym for ``Nothing` :: `Maybe` `HypertextLinkSelectedCallback``.

onHypertextLinkSelected :: (IsHypertext a, MonadIO m) => a -> HypertextLinkSelectedCallback -> m SignalHandlerId Source #

Connect a signal handler for the “`link-selected`” signal, to be run before the default handler. When overloading is enabled, this is equivalent to

    on hypertext #linkSelected callback

wrap_HypertextLinkSelectedCallback :: HypertextLinkSelectedCallback -> C_HypertextLinkSelectedCallback Source #

Wrap a `HypertextLinkSelectedCallback` into a `C_HypertextLinkSelectedCallback`.